﻿using System;
using System.Xml;
using System.Xml.Serialization;

namespace AladdinOpenAPI
{
    [XmlRoot("item")]
    public class Item
    {
        [XmlAttribute("itemId")]
        public int ItemId = 0;

        [XmlElement("title")]
        public string Title = string.Empty;

        [XmlElement("link")]
        public string Link = string.Empty;

        [XmlElement("author")]
        public string Author = string.Empty;

        [XmlElement("pubDate")]
        public string PubDateStr
        {
            set { this.PubDate = DateTime.Parse(value); }
            get { return this.PubDate == DateTime.MinValue ? string.Empty : this.PubDate.ToString(); }
        }

        public DateTime PubDate = DateTime.MinValue;

        [XmlElement("description")]
        public string Description = string.Empty;

        [XmlElement("creator")]
        public string Creator = string.Empty;

        [XmlElement("isbn")]
        public string Isbn = string.Empty;

        [XmlElement("priceSales")]
        public long PriceSales = 0L;

        [XmlElement("priceStandard")]
        public long PriceStandard = 0L;

        [XmlElement("stockStatus")]
        public string StockStatus = string.Empty;

        [XmlElement("mileage")]
        public int Mileage = 0;

        [XmlElement("cover")]
        public string Cover = string.Empty;

        [XmlElement("categoryId")]
        public int CategoryId = 0;

        [XmlElement("categoryName")]
        public string CategoryName = string.Empty;

        [XmlElement("publisher")]
        public string Publisher = string.Empty;

        [XmlElement("itemPage")]
        public int ItemPage = 0;

        [XmlElement("customerReviewRank")]
        public int CustomerReviewRank = 0;
    }
}