﻿using System;
using System.Text.RegularExpressions;

namespace AladdinOpenAPI
{
    public class OpenAPIException : Exception 
    { 
        public OpenAPIException() : base() {}
        public OpenAPIException(string message) : base(message) {}
    }

    public enum ItemIdRequestType
    {
        ISBN,
        ItemId
    }

    public enum ItemQueryType
    {
        Title,
        Author,
        Publisher
    }

    public enum ItemOperationType
    {
        ItemLookUp,
        ItemSearch
    }

    public enum ItemSearchTarget
    {
        Book,
        Music,
        DVD,
        Beauty,
        Gift
    }

    public enum ItemSort
    {
        PublishTime,
        Title,
        SalesPoint ,
        CustomerRating ,
        MyReviewCount
    }

    public enum ItemCover
    {
        Big,
        Mid,
        Small,
        Mini,
        None
    }

    public enum ResponseOutput
    {
        XML,
        OS,
        JS
    }

    public static class ErrorMessageCapture
    {
        private static Regex re = new Regex("\\<errorMessage\\>(.*)\\<\\/errorMessage",  RegexOptions.IgnoreCase|RegexOptions.Compiled);

        public static string GetErrorMessage(string str){
            Match mt = re.Match(str);
            if(!mt.Success) return string.Empty;
            return mt.Groups[1].Value;
        }
    }
}