﻿using System;
using System.Net;
using System.IO;
using System.Text;
using System.Xml.Serialization;

namespace AladdinOpenAPI
{
    public class ItemLookUpRequest : ItemRequest
    {
        public string ItemId = string.Empty;
        public ItemIdRequestType ItemIdType = ItemIdRequestType.ISBN;

        internal ItemLookUpRequest(AladdinService service) : base(service) 
        { 
            this.OperationType = ItemOperationType.ItemLookUp;
        }

        public override string GetOperationURL() { return "http://www.aladdin.co.kr/ttb/api/ItemLookUp.aspx"; }

        public override string GetQuery()
        {
            return string.Format("ttbkey={0}&ItemId={1}&ItemIdType={2}&Cover={3}&Output={4}&Partner={5}&Omitkey={6}&Version={7}&CallBack={8}",
                this.TTBKey, this.ItemId, this.ItemIdType, this.Cover, this.Output, this.Partner,
                this.GetOmitkey(), this.Version, this.CallBack);
        }
    }
}