using System;
using System.Xml;
using System.Xml.Serialization;

namespace AladdinOpenAPI
{
    [XmlRoot("object", Namespace = "http://www.aladdin.co.kr/ttb/apiguide.aspx")]
    public class ItemResponse
    {
        public ItemResponse(){}

        [XmlElement("title")]
        public string Title = string.Empty;

        [XmlElement("link")]
        public string Link = string.Empty;

        [XmlElement("language")]
        public string Language = string.Empty;

        [XmlElement("copyright")]
        public string Copyright = string.Empty;

        [XmlElement("pubDate")]
        public string PubDateStr
        {
            set { this.PubDate = DateTime.Parse(value); }
            get { return this.PubDate == DateTime.MinValue ? string.Empty : this.PubDate.ToString(); }
        }

        public DateTime PubDate = DateTime.MinValue;

        [XmlElement("totalResults")]
        public int TotalResults = 0;

        [XmlElement("startIndex")]
        public int StartIndex = 0;

        [XmlElement("itemsPerPage")]
        public int ItemsPerPage = 0;

        [XmlElement("query")]
        public string query;

        [XmlElement("version")]
        public string Version = string.Empty;

        [XmlElement("searchCategoryId")]
        public int SearchCategoryId = 0;

        [XmlElement("searchCategoryName")]
        public string SearchCategoryName = string.Empty;

        [XmlElement("item", typeof(AladdinOpenAPI.Item))]
        public Item[] Items;
    }
}