﻿using System;
using System.Net;
using System.IO;
using System.Text;
using System.Xml.Serialization;

namespace AladdinOpenAPI
{
    public class ItemSearchRequest : ItemRequest
    {
        public ItemSearchTarget SearchTarget = ItemSearchTarget.Book;
        public int MaxResults = 10;
        public int Start = 1;
        public string Query = string.Empty;
        public ItemQueryType QueryType = ItemQueryType.Title;
        public ItemSort Sort = ItemSort.PublishTime;
        public int CategoryId = 0;
        public Encoding InputEncoding = Encoding.UTF8;

        internal ItemSearchRequest(AladdinService service) : base(service) 
        { 
            this.OperationType = ItemOperationType.ItemSearch;
        }

        public override string GetOperationURL() { return "http://www.aladdin.co.kr/ttb/api/ItemSearch.aspx"; }

        public override string GetQuery()
        {
            return string.Format("ttbkey={0}&QueryType={1}&SearchTarget={2}&Start={3}&MaxResults={4}&Sort={5}&Cover={6}&CategoryId={7}&Output={8}&Partner={9}&Omitkey={10}&InputEncoding={11}&Version={12}&CallBack={13}&Query={14}",
                this.TTBKey, this.QueryType, this.SearchTarget, this.Start, this.MaxResults, this.Sort, this.Cover, this.CategoryId, 
                this.Output, this.Partner, this.Omitkey, this.InputEncoding, this.Version, this.CallBack, System.Web.HttpUtility.UrlEncode(this.Query, this.InputEncoding));
        }
    }
}